﻿using Model;

namespace Stub;

public class StubDataManager : EmptyStubDataManager
{
    public StubDataManager() : base()
    {
        books.AddRange([
            new Book(1, "Les Trois Mousquetaires", "Alexandre Dumas", "979-8415441792"),
            new Book(2, "Vingt Ans Après", "Alexandre Dumas", "979-8805372019"),
            new Book(3, "Le Vicomte de Bragelonne - Livre Premier", "Alexandre Dumas", "979-8376127575"),
            new Book(4, "Le Vicomte de Bragelonne - Livre Second", "Alexandre Dumas", "979-8376430019"),
            new Book(5, "Vingt mille lieues sous les Mers", "Jules Verne", "979-8489937313"),
            new Book(6, "L'île mystérieuse", "Jules Verne", "979-8492533861"),
            new Book(7, "Les enfants du capitaine Grant", "Jules Verne", "979-8757717418"),
            new Book(8, "Les Misérables", "Victor Hugo", "979-8850172916"),
            new Book(9, "Notre-Dame de Paris", "Victor Hugo", "979-8863757285"),
            new Book(10, "Quatrevingt-treize", "Victor Hugo", "979-8863954202"),
            new Book(11, "Han d'Islande", "Victor Hugo", "979-8864251553")
        ]);

        bookId = 12;

        persons.AddRange([
            new Person(1, "Chick", "Corea"),
            new Person(2, "Stanley", "Clarke"),
            new Person(3, "Lenny", "White"),
            new Person(4, "Frank", "Gambale"),
            new Person(5, "Jean-Luc", "Ponty"),
            new Person(6, "Al", "Di Meola"),
            new Person(7, "Steve", "Gadd")
        ]);

        personId = 8;

        books[0].Borrower = persons[0];
        persons[0].BorrowBook(books[0]);

        books[1].Borrower = persons[0];
        persons[0].BorrowBook(books[1]);

        books[2].Borrower = persons[0];
        persons[0].BorrowBook(books[2]);

        books[3].Borrower = persons[0];
        persons[0].BorrowBook(books[3]);

        books[4].Borrower = persons[1];
        persons[1].BorrowBook(books[4]);

        books[5].Borrower = persons[1];
        persons[1].BorrowBook(books[5]);

        books[6].Borrower = persons[1];
        persons[1].BorrowBook(books[6]);

        books[8].Borrower = persons[2];
        persons[2].BorrowBook(books[8]);

        books[10].Borrower = persons[3];
        persons[3].BorrowBook(books[10]);
    }
}
