using System;
using Model;

namespace TestDataManager;

public class TestData_BorrowBook_TheoryData : TheoryData<bool, Book, Person, IDataManager>
{
    public TestData_BorrowBook_TheoryData()
    {
        //no book and no borrower
        Add(false, null, null, new BorrowBookStub());
        
        //no book
        Add(false, null, new Person("John", "Coltrane"), new BorrowBookStub());
        
        //no borrower
        Add(false, new Book( "Les Pardaillan", "Michel Zévaco", "978-2221098417"), null, new BorrowBookStub());
        
        //new book and new borrower
        Add(false, new Book( "Les Pardaillan", "Michel Zévaco", "978-2221098417"), new Person("John", "Coltrane"), new BorrowBookStub());

        //new book and already known borrower
        Add(false, new Book( "Les Pardaillan", "Michel Zévaco", "978-2221098417"), new Person(1, "Chick", "Corea"), new BorrowBookStub());

        //already known but free book and new borrower
        Add(false, new Book(2, "Les Misérables", "Victor Hugo", "979-8850172916"), new Person("John", "Coltrane"), new BorrowBookStub());

        //already known but already borrowed book and new borrower
        Add(false, new Book(1, "Les Trois Mousquetaires", "Alexandre Dumas", "979-8415441792"), new Person("John", "Coltrane"), new BorrowBookStub());

        //already known but free book and already known borrower
        Add(true, new Book(2, "Les Misérables", "Victor Hugo", "979-8850172916"), new Person(1, "Chick", "Corea"), new BorrowBookStub());
        
        //already known but already borrowed book by another borrower and already known borrower
        Add(false, new Book(1, "Les Trois Mousquetaires", "Alexandre Dumas", "979-8415441792"), new Person(2, "Stanley", "Clarke"), new BorrowBookStub());

        //already known but already borrowed book by this borrower and already known borrower
        Add(true, new Book(1, "Les Trois Mousquetaires", "Alexandre Dumas", "979-8415441792"), new Person(1, "Chick", "Corea"), new BorrowBookStub());
    }
}
